gi-gtk-3.0.43: Gtk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.ArrowAccessible

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype ArrowAccessible = ArrowAccessible (ManagedPtr ArrowAccessible)
- class (GObject o, IsDescendantOf ArrowAccessible o) => IsArrowAccessible o
- toArrowAccessible :: (MonadIO m, IsArrowAccessible o) => o -> m ArrowAccessible

# Exported types

newtype ArrowAccessible Source #

Memory-managed wrapper type.

Constructors

ArrowAccessible (ManagedPtr ArrowAccessible) |

#### Instances

Instances details

Eq ArrowAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ArrowAccessible Methods (==) :: ArrowAccessible -> ArrowAccessible -> Bool Source # (/=) :: ArrowAccessible -> ArrowAccessible -> Bool Source #
GObject ArrowAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ArrowAccessible
ManagedPtrNewtype ArrowAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ArrowAccessible Methods toManagedPtr :: ArrowAccessible -> ManagedPtr ArrowAccessible Source #
TypedObject ArrowAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ArrowAccessible Methods glibType :: IO GType Source #
HasParentTypes ArrowAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ArrowAccessible
IsGValue (Maybe ArrowAccessible) Source # | Convert `ArrowAccessible` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.ArrowAccessible Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe ArrowAccessible -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe ArrowAccessible) Source #
type ParentTypes ArrowAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ArrowAccessible type ParentTypes ArrowAccessible = '[WidgetAccessible, Accessible, Object, Object, Component, Image]

class (GObject o, IsDescendantOf ArrowAccessible o) => IsArrowAccessible o Source #

Type class for types which can be safely cast to `ArrowAccessible`, for instance with `toArrowAccessible`.

#### Instances

Instances details

(GObject o, IsDescendantOf ArrowAccessible o) => IsArrowAccessible o Source # |
Instance details Defined in GI.Gtk.Objects.ArrowAccessible

toArrowAccessible :: (MonadIO m, IsArrowAccessible o) => o -> m ArrowAccessible Source #

Cast to `ArrowAccessible`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

addRelationship, bindProperty, bindPropertyFull, connectWidgetDestroyed, contains, forceFloating, freezeNotify, getv, grabFocus, initialize, isFloating, notify, notifyByPspec, notifyStateChange, peekParent, ref, refAccessibleAtPoint, refAccessibleChild, refRelationSet, refSink, refStateSet, removeFocusHandler, removePropertyChangeHandler, removeRelationship, runDispose, scrollTo, scrollToPoint, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getAccessibleId, getAlpha, getAttributes, getData, getDescription, getExtents, getHelpText, getImageDescription, getImageLocale, getImagePosition, getImageSize, getIndexInParent, getLayer, getMdiZorder, getNAccessibleChildren, getName, getObjectLocale, getParent, getPosition, getProperty, getQdata, getRole, getSize, getWidget.

#### Setters

setAccessibleId, setData, setDataFull, setDescription, setExtents, setHelpText, setImageDescription, setName, setParent, setPosition, setProperty, setRole, setSize, setWidget.